// Header File
// Created 6/5/2004; 5:54:31 PM

#ifndef _SHIP_H_
#define _SHIP_H_

#include "gfx.h"
#include "weapon.h"
#include "enemy.h"

typedef struct {

	Angle angle;
	Point location;
	Point momentum;

	Line *objlines;
	short numlines;

	short shield;
	short energy;
	short chargeRate;
	short score;

	Weapon weapons[10];
	short numweapons;
	short maxweapons;

} Ship;

#define SHIP_A_LINEMAX 14

void setupShipDefaults(Ship *this);
void createShipA(Ship *this);

void deleteWeapon(Ship *this, int id);
void registerWeapon(Ship *this, Weapon *laser);

#endif